"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.
"
"{ Package: 'stx:libjava' }"

SharedPool subclass:#JavaConstants
	instanceVariableNames:''
	classVariableNames:'ACC_PUBLIC ACC_PRIVATE ACC_PROTECTED ACC_STATIC ACC_FINAL
		ACC_SYNCHRONIZED ACC_BRIDGE ACC_VARGARS ACC_NATIVE ACC_ABSTRACT
		ACC_STRICT ACC_SYNTHETIC ACC_SUPER ACC_INTERFACE ACC_ANNOTATION
		ACC_ENUM ACC_VOLATILE ACC_TRANSIENT ACC_OBSOLETE ACC_HASHANDLER
		ACC_INITIALIZED ACC_BREAKPNT'
	poolDictionaries:''
	category:'Languages-Java-Support'
!

!JavaConstants class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.

"
! !

!JavaConstants class methodsFor:'class initialization'!

initialize
    "Initialization code is in C to make sure stc.h and smalltalk
     visible constants are in sync"
    
    
%{    
        @global(JavaConstants:ACC_PUBLIC)      = __MKSMALLINT(__ACC_PUBLIC);
        @global(JavaConstants:ACC_PRIVATE)     = __MKSMALLINT(__ACC_PRIVATE);
        @global(JavaConstants:ACC_PROTECTED)   = __MKSMALLINT(__ACC_PROTECTED);

        @global(JavaConstants:ACC_STATIC)      = __MKSMALLINT(__ACC_STATIC);
        @global(JavaConstants:ACC_FINAL)       = __MKSMALLINT(__ACC_FINAL);
        @global(JavaConstants:ACC_SYNCHRONIZED)= __MKSMALLINT(__ACC_SYNCHRONIZED);

        @global(JavaConstants:ACC_SUPER)       = __MKSMALLINT(__ACC_SUPER);
        @global(JavaConstants:ACC_VOLATILE)    = __MKSMALLINT(__ACC_VOLATILE);
        @global(JavaConstants:ACC_TRANSIENT)   = __MKSMALLINT(__ACC_TRANSIENT);
        @global(JavaConstants:ACC_NATIVE)      = __MKSMALLINT(__ACC_NATIVE);

        @global(JavaConstants:ACC_INTERFACE)   = __MKSMALLINT(__ACC_INTERFACE);
        @global(JavaConstants:ACC_ABSTRACT)    = __MKSMALLINT(__ACC_ABSTRACT);
        @global(JavaConstants:ACC_STRICT)      = __MKSMALLINT(__ACC_STRICT);    
        @global(JavaConstants:ACC_SYNTHETIC)   = __MKSMALLINT(__ACC_SYNTHETIC);

        @global(JavaConstants:ACC_ENUM)        = __MKSMALLINT(__ACC_ENUM);
        @global(JavaConstants:ACC_ANNOTATION)  = __MKSMALLINT(__ACC_ANNOTATION);
        @global(JavaConstants:ACC_OBSOLETE)    = __MKSMALLINT(__ACC_OBSOLETE);

        @global(JavaConstants:ACC_INITIALIZED) = __MKSMALLINT(__ACC_INITIALIZED);
        @global(JavaConstants:ACC_HASHANDLER)  = __MKSMALLINT(__ACC_HASHANDLER);
        @global(JavaConstants:ACC_BREAKPNT)    = __MKSMALLINT(__ACC_BREAKPNT);

%}

    "Created: / 25-10-2011 / 09:50:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 28-10-2011 / 16:56:17 / m"
! !

!JavaConstants class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !

JavaConstants initialize!
