package stx.libjava.tests;

import static org.junit.Assert.fail;
import static org.junit.Assert.*;

import org.apache.catalina.startup.Bootstrap;
import org.junit.Test;

public class StartAndStopTomcatTests {

	private static final String TOMCAT = "../../libs/tomcat6";
	private Bootstrap bootstrap;

	public void runTomcat() throws Exception {
		bootstrap = new Bootstrap();
		
		String tomcatDir = System.getProperty("stx.libjava.tomcat.dir");
		if (tomcatDir == null) {
			bootstrap.setCatalinaHome(TOMCAT);
		} else {
			bootstrap.setCatalinaHome(tomcatDir);
		}		
				
		bootstrap.start();
	}

	public void stopTomcat() throws Exception {
		bootstrap.stop();
	}

	@Test
	public void testRunningANdStoppingTomcat() throws Exception {
		runTomcat();
		stopTomcat();
		assertTrue(true);
	}
}
